Skip to content

Update allow advertise on public.

POST
/api/config/namespaces/system/update_allow_advertise_on_public
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/system/update_allow_advertise_on_public \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "allow_advertise_on_public": "Default", "namespace": "example" }'

UpdateAllowAdvertiseOnPublic can update a config to allow advertise on public.

Examples of this operation.

Media typeapplication/json
UpdateAllowAdvertiseOnPublicReq

Request body of UpdateAllowAdvertiseOnPublic request.

object
allow_advertise_on_public
string
default: Default
Allowed values: Default Enable Disable
namespace
namespace

Name of the namespace under which all the URLs in APIItems will be evaluated.

string
>= 6 characters <= 1024 characters

A successful response.

Media typeapplication/json
UpdateAllowAdvertiseOnPublicResp

Response body of UpdateAllowAdvertiseOnPublic request.

object
result
result

API result.

boolean format: boolean
Examplegenerated
{
"result": true
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example